    IFND EXEC_EXECBASE_I
EXEC_EXECBASE_I SET 1
**********************************************************************
*
* Commodore-Amiga, Inc. -- ROM Operating System Executive Include File
*
**********************************************************************
*
*   Source Control:
*
*  $Header: execbase.i,v 1.1 85/11/12 16:10:51 carl Exp $
*
*  $Locker: carl $
*
**********************************************************************

    IFND EXEC_LISTS_I
    INCLUDE "exec/lists.i"
    ENDC !EXEC_LISTS_I

    IFND EXEC_INTERRUPTS_I
    INCLUDE "exec/interrupts.i"
    ENDC !EXEC_INTERRUPTS_I

    IFND EXEC_LIBRARIES_I
    INCLUDE "exec/libraries.i"
    ENDC !EXEC_LIBRARIES_I


******* Static System Variables **************************************

 STRUCTURE  ExecBase,LIB_SIZE     ; Standard library node

            UWORD SoftVer         ; kickstart release number
            WORD  LowMemChkSum    ; checksum of 68000 trap vectors
            ULONG ChkBase         ; system base pointer complement
            APTR  ColdCapture     ; cold soft capture vector
            APTR  CoolCapture     ; cool soft capture vector
            APTR  WarmCapture     ; warm soft capture vector
            APTR  SysStkUpper     ; system stack base   (upper bound)
            APTR  SysStkLower     ; top of system stack (lower bound)
            ULONG MaxLocMem       ; last calculated local memory max
            APTR DebugEntry       ; global debugger entry point
            APTR DebugData        ; global debugger data segment
            APTR AlertData        ; alert data segment
            APTR RsvdExt          ; reserved

            WORD  ChkSum          ; for all of the above


******* Interrupt Related ********************************************

            LABEL  IntVects  
            STRUCT   IVTBE,IV_SIZE
            STRUCT   IVDSKBLK,IV_SIZE
            STRUCT   IVSOFTINT,IV_SIZE
            STRUCT   IVPORTS,IV_SIZE
            STRUCT   IVCOPER,IV_SIZE
            STRUCT   IVVERTB,IV_SIZE
            STRUCT   IVBLIT,IV_SIZE
            STRUCT   IVAUD0,IV_SIZE
            STRUCT   IVAUD1,IV_SIZE
            STRUCT   IVAUD2,IV_SIZE
            STRUCT   IVAUD3,IV_SIZE
            STRUCT   IVRBF,IV_SIZE
            STRUCT   IVDSKSYNC,IV_SIZE
            STRUCT   IVEXTER,IV_SIZE
            STRUCT   IVINTEN,IV_SIZE
            STRUCT   IVNMI,IV_SIZE


******* Dynamic System Variables *************************************

            APTR  ThisTask        ; pointer to current task
            ULONG IdleCount       ; idle counter
            ULONG DispCount       ; dispatch counter
            UWORD Quantum         ; time slice quantum
            UWORD Elapsed         ; current quantum ticks
            UWORD SysFlags        ; misc system flags
            BYTE  IDNestCnt       ; interrupt disable nesting count
            BYTE  TDNestCnt       ; task disable nesting count

            UWORD AttnFlags       ; special attention flags
            UWORD AttnResched     ; rescheduling attention
            APTR  ResModules      ; pointer to resident module array

            APTR TaskTrapCode     ; default task trap routine
            APTR TaskExceptCode   ; default task exception code
            APTR TaskExitCode     ; default task exit code
            ULONG TaskSigAlloc    ; preallocated signal mask
            UWORD TaskTrapAlloc   ; preallocated trap mask


******* System List Headers ******************************************

            STRUCT   MemList,LH_SIZE
            STRUCT   ResourceList,LH_SIZE
            STRUCT   DeviceList,LH_SIZE
            STRUCT   IntrList,LH_SIZE
            STRUCT   LibList,LH_SIZE
            STRUCT   PortList,LH_SIZE
            STRUCT   TaskReady,LH_SIZE
            STRUCT   TaskWait,LH_SIZE

            STRUCT   SoftInts,SH_SIZE*5

            STRUCT  LastAlert,4*4

            LONG ExecBaseReserved,4*8

            LABEL SYSBASESIZE

******* AttnFlags
*  Processors and Co-processors:
AFB_68010   EQU      0  (will remain set for 68020 as well)
AFB_68020   EQU      1
AFB_68881   EQU      4
AFB_PAL     EQU      8  PAL/NTSC
AFB_50HZ    EQU      9  Clock Rate
    ENDC !EXEC_EXECBASE_I
